org.apache.fop.render.rtf

## Interface RTFEventProducer

All Superinterfaces:
  EventProducer

    public interface RTFEventProducer
    extends EventProducer

Event producer interface for events generated by the RTF renderer.

### Nested Class Summary

Nested Classes
`static class` `RTFEventProducer.Provider` Provider class for the event producer.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `explicitTableColumnsRequired(Object source, Locator loc)` The RTF handler requires explicit table-columns for now.
`void` `ignoredDeferredEvent(Object source, FONode node, boolean start, Locator loc)` The RTF handler ignored some deferred event (i.e.
`void` `noSPMFound(Object source, Locator loc)` No simple-page-master could be determined-
`void` `onlySPMSupported(Object source, String masterReference, Locator loc)` The RTF handler only supports simple-page-masters.

### Method Detail

#### onlySPMSupported

    void onlySPMSupported(Object source,
                          String masterReference,
                          Locator loc)

The RTF handler only supports simple-page-masters.

Parameters:
  `source` - the event source
  `masterReference` - the reference page-master-set
  `loc` - the location of the error or null
Event.severity:
  WARN

#### noSPMFound

    void noSPMFound(Object source,
                    Locator loc)

No simple-page-master could be determined-

Parameters:
  `source` - the event source
  `loc` - the location of the error or null
Event.severity:
  WARN

#### explicitTableColumnsRequired

    void explicitTableColumnsRequired(Object source,
                                      Locator loc)

The RTF handler requires explicit table-columns for now.

Parameters:
  `source` - the event source
  `loc` - the location of the error or null
Event.severity:
  WARN

#### ignoredDeferredEvent

    void ignoredDeferredEvent(Object source,
                              FONode node,
                              boolean start,
                              Locator loc)

The RTF handler ignored some deferred event (i.e. an unsupported element).

Parameters:
  `source` - the event source
  `node` - the FO tree node being ignored
  `start` - true for start, false for end
  `loc` - the location of the error or null
Event.severity:
  WARN